﻿using Infragistics.Win.UltraWinToolbars;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ContextMenuChange
{
    public partial class Form1 : Form
    {
        public ContextMenu cm;
        public Form1()
        {
            InitializeComponent();
            cm = new System.Windows.Forms.ContextMenu();
            cm.MenuItems.Add("Toolbar1");
            cm.MenuItems.Add("Large Icons");

            cm.MenuItems[0].Click += new EventHandler(Form1_Click);
            cm.MenuItems[1].Click += new EventHandler(Form1_Click1);
            this.ultraToolbarsManager1.BeforeToolbarListDropdown += UltraToolbarsManager1_BeforeToolbarListDropdown;
        }

        private void UltraToolbarsManager1_BeforeToolbarListDropdown(object sender, Infragistics.Win.UltraWinToolbars.BeforeToolbarListDropdownEventArgs e)
        {
            if (e.Tool != null )
            {
                e.Cancel = true;
                this.ContextMenu = cm;
            }
            else e.Cancel = true;
               
        }

        private void Form1_Click(object sender, EventArgs e)
        {
            if(this.ultraToolbarsManager1.Toolbars[0].Visible) this.ultraToolbarsManager1.Toolbars[0].Visible = false;
            else this.ultraToolbarsManager1.Toolbars[0].Visible = true;
        }

        private void Form1_Click1(object sender, EventArgs e)
        {
            if(!this.ultraToolbarsManager1.UseLargeImagesOnToolbar) this.ultraToolbarsManager1.UseLargeImagesOnToolbar = true;
            else this.ultraToolbarsManager1.UseLargeImagesOnToolbar = false;
        }

    }
}
